OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.NV.ExplicitMultisample

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetNVExplicitMultisample :: MonadIO m => m Bool
- gl_NV_explicit_multisample :: Bool
- pattern GL_INT_SAMPLER_RENDERBUFFER_NV :: GLenum
- pattern GL_MAX_SAMPLE_MASK_WORDS_NV :: GLenum
- pattern GL_SAMPLER_RENDERBUFFER_NV :: GLenum
- pattern GL_SAMPLE_MASK_NV :: GLenum
- pattern GL_SAMPLE_MASK_VALUE_NV :: GLenum
- pattern GL_SAMPLE_POSITION_NV :: GLenum
- pattern GL_TEXTURE_BINDING_RENDERBUFFER_NV :: GLenum
- pattern GL_TEXTURE_RENDERBUFFER_DATA_STORE_BINDING_NV :: GLenum
- pattern GL_TEXTURE_RENDERBUFFER_NV :: GLenum
- pattern GL_UNSIGNED_INT_SAMPLER_RENDERBUFFER_NV :: GLenum
- glGetMultisamplefvNV :: MonadIO m => GLenum -> GLuint -> Ptr GLfloat -> m ()
- glSampleMaskIndexedNV :: MonadIO m => GLuint -> GLbitfield -> m ()
- glTexRenderbufferNV :: MonadIO m => GLenum -> GLuint -> m ()

# Extension Support

glGetNVExplicitMultisample :: MonadIO m => m Bool Source #

Is the NV_explicit_multisample extension supported?

gl_NV_explicit_multisample :: Bool Source #

Is the NV_explicit_multisample extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVExplicitMultisample` in those cases instead.

# Enums

pattern GL_INT_SAMPLER_RENDERBUFFER_NV :: GLenum Source #

pattern GL_MAX_SAMPLE_MASK_WORDS_NV :: GLenum Source #

pattern GL_SAMPLER_RENDERBUFFER_NV :: GLenum Source #

pattern GL_SAMPLE_MASK_NV :: GLenum Source #

pattern GL_SAMPLE_MASK_VALUE_NV :: GLenum Source #

pattern GL_SAMPLE_POSITION_NV :: GLenum Source #

pattern GL_TEXTURE_BINDING_RENDERBUFFER_NV :: GLenum Source #

pattern GL_TEXTURE_RENDERBUFFER_DATA_STORE_BINDING_NV :: GLenum Source #

pattern GL_TEXTURE_RENDERBUFFER_NV :: GLenum Source #

pattern GL_UNSIGNED_INT_SAMPLER_RENDERBUFFER_NV :: GLenum Source #

# Functions

glGetMultisamplefvNV Source #

Arguments

:: MonadIO m |
=> GLenum | `pname` of type GetMultisamplePNameNV.
-> GLuint | `index`.
-> Ptr GLfloat | `val` pointing to `2` elements of type `GLfloat`.
-> m () |

This command is an alias for `glGetMultisamplefv`.

glSampleMaskIndexedNV Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLbitfield | `mask` of type `SampleMaskNV`.
-> m () |

glTexRenderbufferNV Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLuint | `renderbuffer`.
-> m () |